=== debian/changelog ===
ros-foxy-urg-node (1.0.3-1focal) focal; urgency=high

  * Use Python 3 specifically in helper script (#85 <https://github.com/ros-drivers/urg_node/issues/85>)
    ROS 2 only targets Python 3. Making the shebang specific will ensure it
    isn't accidentally executed using the Python 2 interpreter.
  * travis-ci doesn't work
    But ros build farm is giving us coverage
  * depend only on parts of boost needed by the package (#75 <https://github.com/ros-drivers/urg_node/issues/75>)
  * Contributors: Michael Ferguson, Mikael Arguedas, Scott K Logan

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 31 Mar 2021 04:00:00 -0000

ros-foxy-urg-node (1.0.2-1focal) focal; urgency=high

  * uncrustify for f/r (#74 <https://github.com/ros-drivers/urg_node/issues/74>)
  * fix deprecation warning (#69 <https://github.com/ros-drivers/urg_node/issues/69>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 12 Jul 2020 04:00:00 -0000

ros-foxy-urg-node (1.0.1-1focal) focal; urgency=high

  * node name is now urg_node_driver (#70 <https://github.com/ros-drivers/urg_node/issues/70>)
    The node was renamed as part of the composable refactor
    At runtime, it still defaults to urg_node as the graph
    name
  * call run in a thread, fixes #66 <https://github.com/ros-drivers/urg_node/issues/66> (#71 <https://github.com/ros-drivers/urg_node/issues/71>)
  * add myself as maintainer for ros2 (#73 <https://github.com/ros-drivers/urg_node/issues/73>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 10 Jun 2020 04:00:00 -0000

ros-foxy-urg-node (1.0.0-1focal) focal; urgency=high

  * migrate ros2 devel (#50 <https://github.com/ros-drivers/urg_node/issues/50>)
  * Merge pull request #42 <https://github.com/ros-drivers/urg_node/issues/42> from BadgerTechnologies/detect-time-warp-and-reset
  * synchronize_time: reset when clock is warped
  * Merge pull request #41 <https://github.com/ros-drivers/urg_node/issues/41> from BadgerTechnologies/synchronize-time
  * synchronize system clock to hardware time
  * Add Travis config.
  * Fixed linter errors.
  * Contributors: Aarush Gupta, aswinthomas, Brett, C. Andy Martin, Chris Lalancette, Gu Chao Jie, Karsten Knese, Marc-Antoine Testier, Tony Baltovski, Zoe

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 24 Mar 2020 04:00:00 -0000

ros-foxy-urg-node (0.1.11-1focal) focal; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint
  * Contributors: Benjamin Scholz, Mike O'Driscoll, Tony Baltovski

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-foxy-urg-node (0.1.10-1focal) focal; urgency=high

  * Updated maintainer.
  * Error handling for connection failures
  * Created urg_lidar.launch
  * Installed getID
  * Contributors: Eric Tappan, Jeff Schmidt, Kei Okada, Tony Baltovski

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-foxy-urg-node (0.1.9-1focal) focal; urgency=high

  * Merge pull request #7 <https://github.com/ros-drivers/urg_node/issues/7> from mikeferguson/indigo-devel
    add a script to set the IP address of an URG laser
  * Updated diagnostics to support configurable parameters.
  * add a script to set the IP address of an URG laser
  * Contributors: Chad Rockey, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 13 Aug 2014 04:00:00 -0000

ros-foxy-urg-node (0.1.8-1focal) focal; urgency=high

  * Merge pull request #6 <https://github.com/ros-drivers/urg_node/issues/6> from mikeferguson/indigo-devel
    Add default device status on UST-20LX
  * Add default device status on UST-20LX
  * Contributors: Chad Rockey, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 16 Jun 2014 04:00:00 -0000

ros-foxy-urg-node (0.1.7-1focal) focal; urgency=high

  * Added more robust plug/unplug reconnect behavior.
  * Added more robustness and the ability to continually reloop and reconnect until node is shutdown.
  * Fix initialization crash.
  * Install fix for Android.
  * Missed a willowgarage email.
  * Contributors: Chad Rockey

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-foxy-urg-node (0.1.6-1focal) focal; urgency=high


