=== debian/control ===
Source: ros-foxy-urg-node
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-builtin-interfaces, ros-foxy-diagnostic-updater, ros-foxy-laser-proc, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-urg-c, ros-foxy-urg-node-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-foxy-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-foxy-builtin-interfaces, ros-foxy-diagnostic-updater, ros-foxy-laser-proc, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-urg-c, ros-foxy-urg-node-msgs, ros-foxy-ros-workspace
Description: urg_node
